%define debug_package %{nil}
Summary: PLOTMTV - A multipurpose X11 plotting program
Name: plotmtv
Version: 1.4.4
Release: 46.fc41
License: Distributable
Group: Applications/Math
Source: ftp://ftp.x.org/contrib/applications/plotmtv-1.4.4.tar.bz2
Distribution: Fedora Core
Patch0: plotmtv-1.4.4.patch
Patch1: plotmtv-fc35.patch
Buildroot: /var/tmp/plotmtv-root
Prefix: /usr

%description
PLOTMTV is a multipurpose X11 plotting program. PLOTMTV's
capabilities include 2D line and scatter plots (x-vs-y), contour plots, 3D
surface, line and scatter plots as well as vector plots. The program has a
rough but functional Graphical User Interface, through which it is possible
to zoom in, zoom out, pan, toggle between 2D and 3D plots, and rotate 3D
plots. Both color and grayscale postscript output are supported.

Printable documentation is in the /usr/doc/plotmtv-1.4.1/Docs directory. If
you have relocated the package the docs will be in the appropriate
directory. The documentation covers the use of plotmtv and the data file
format. 

%prep

%setup -q -n plotmtv-1.4.4
%patch 0 -p1
%patch 1 -p1

%build
CFLAGS="$RPM_OPT_FLAGS -fpermissive"
chmod -R a-s * *.*
make -f Makefile.orig

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT/usr/bin
install -s -m 755 ./Bin/* $RPM_BUILD_ROOT/usr/bin/
install -d $RPM_BUILD_ROOT/usr/man/man1/
install -m 644 ./Docs/plotmtv.man $RPM_BUILD_ROOT/usr/man/man1/plotmtv.1

%post

%postun 

%files
%attr(755, root, root)  /usr/bin/ctr2mtv
%attr(755, root, root)  /usr/bin/drawplot2mtv
%attr(755, root, root)  /usr/bin/mtv2mtv
%attr(755, root, root)  /usr/bin/pdraw2mtv
%attr(755, root, root)  /usr/bin/plotmtv
%attr(644, root, root)  /usr/man/man1/plotmtv.1.gz

%attr(-, root, root)  %doc Plotmtv1.4.1.README MODS.BY.PJ README.INSTALL README.VERSION
%attr(644, root, root)  %doc Docs/ Tests/ Utils/README Utils/TESTS

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Thu Jan 11 2007 S. umar <umar@compsci.cas.vanderbilt.edu>
- Update to Tela's 1.4.4t-9 version
